package diaswarm.controller;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.context.averagepollution.AveragePollutionValue;
import fr.inria.phoenix.diasuite.framework.controller.cityinfopanelcontroller.AbstractCityInfoPanelController;
import fr.inria.phoenix.diasuite.framework.datatype.locationpollution.LocationPollution;

public class CityInfoPanelController extends AbstractCityInfoPanelController {

	public CityInfoPanelController(ServiceConfiguration serviceConfiguration) {
		super(serviceConfiguration);
	}

	@Override
	protected void onAveragePollution(AveragePollutionValue averagePollution,
			Discover discover) {

		StringBuffer messageBuffer = new StringBuffer();

		// Creating a message containing the pollution per location
		for (LocationPollution locationPollution : averagePollution.value()) {
			messageBuffer.append(locationPollution.getLocation());
			messageBuffer.append(" => ");
			messageBuffer.append(locationPollution.getPollution());
			messageBuffer.append("\n");
		}

		// Discovering all available city panels and triggering the showInfo
		// action.
		discover.cityInfoPanels().all().showInfo(messageBuffer.toString());

	}

}
